Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.pageeditor.JoinSplit Class Reference
Inheritance diagram for com.foxit.sdk.addon.pageeditor.JoinSplit:

## Public Member Functions
| JoinSplit (JoinSplit other)
| Constructor, with another join split object. More...
boolean | activate () throws com.foxit.sdk.PDFException
| Activate join split editing. More...
boolean | deactivate () throws com.foxit.sdk.PDFException
| Deactivate join split editing. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
void | exitJoinEditing () throws com.foxit.sdk.PDFException
| Exit join split editing. More...
boolean | getEnableStatus (int type) throws com.foxit.sdk.PDFException
| Get join split editing operation state. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | joinBoxes () throws com.foxit.sdk.PDFException
| Call this function to join text. More...
void | linkBoxes () throws com.foxit.sdk.PDFException
| Call this function to link text. More...
boolean | onLButtonDown (int page_index, PointF point) throws com.foxit.sdk.PDFException
| Call this function when left mouse button is down. More...
boolean | onLButtonUp (int page_index, PointF point) throws com.foxit.sdk.PDFException
| Call this function when left mouse button is up. More...
boolean | onMouseMove (int page_index, PointF point) throws com.foxit.sdk.PDFException
| Call this function when mouse moves. More...
boolean | render (Int32Array page_index_array, Renderer renderer) throws com.foxit.sdk.PDFException
| Draw the currently join split operation state on the rendering. More...
void | selectNone () throws com.foxit.sdk.PDFException
| Call this function to clear all selected text. More...
void | splitBoxes () throws com.foxit.sdk.PDFException
| Call this function to split text. More...
void | unlinkBoxes () throws com.foxit.sdk.PDFException
| Call this function to unlink text. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_JoinSplitOperationTypeClose = 5
| Join spilt operation type: Close.
static final int | e_JoinSplitOperationTypeJoin = 0
| Join spilt operation type: Join.
static final int | e_JoinSplitOperationTypeLink = 2
| Join spilt operation type: Link.
static final int | e_JoinSplitOperationTypeSelectNone = 4
| Join spilt operation type: SelectNone.
static final int | e_JoinSplitOperationTypeSpilt = 1
| Join spilt operation type: Spilt.
static final int | e_JoinSplitOperationTypeUnlink = 3
| Join spilt operation type: Unlink.

## Detailed Description

This class represents a join split operation. Before use join split feature, ensure the function JoinSplit.activate has been called successfully. Please call the function JoinSplit.deactivate to deactivate when no need to use any join split function.

## Constructor & Destructor Documentation

## ◆ JoinSplit()

com.foxit.sdk.addon.pageeditor.JoinSplit.JoinSplit | ( | JoinSplit | other | ) |

Constructor, with another join split object.

Parameters

  [in] | other | Another join split object.

## Member Function Documentation

## ◆ activate()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.activate | ( |  | ) | throws com.foxit.sdk.PDFException

Activate join split editing.

Returns
  true means success, while false means failure.

## ◆ deactivate()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.deactivate | ( |  | ) | throws com.foxit.sdk.PDFException

Deactivate join split editing.

Returns
  true means success, while false means failure.

## ◆ delete()

synchronized void com.foxit.sdk.addon.pageeditor.JoinSplit.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ exitJoinEditing()

void com.foxit.sdk.addon.pageeditor.JoinSplit.exitJoinEditing | ( |  | ) | throws com.foxit.sdk.PDFException

Exit join split editing.

Returns
  None.

## ◆ getEnableStatus()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.getEnableStatus | ( | int | type | ) | throws com.foxit.sdk.PDFException

Get join split editing operation state.

Returns
  true means enabled, while false means not.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ joinBoxes()

void com.foxit.sdk.addon.pageeditor.JoinSplit.joinBoxes | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function to join text.

Returns
  None.

## ◆ linkBoxes()

void com.foxit.sdk.addon.pageeditor.JoinSplit.linkBoxes | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function to link text.

Returns
  None.

## ◆ onLButtonDown()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.onLButtonDown | ( | int | page_index,
|  | PointF | point
| ) |  | throws com.foxit.sdk.PDFException

Call this function when left mouse button is down.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is down in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ onLButtonUp()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.onLButtonUp | ( | int | page_index,
|  | PointF | point
| ) |  | throws com.foxit.sdk.PDFException

Call this function when left mouse button is up.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is up in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ onMouseMove()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.onMouseMove | ( | int | page_index,
|  | PointF | point
| ) |  | throws com.foxit.sdk.PDFException

Call this function when mouse moves.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where mouse moves in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ render()

boolean com.foxit.sdk.addon.pageeditor.JoinSplit.render | ( | Int32Array | page_index_array,
|  | Renderer | renderer
| ) |  | throws com.foxit.sdk.PDFException

Draw the currently join split operation state on the rendering.

The matrix used in the rendering process is returned by ParagraphEditingProviderCallback.getRenderMatrix .

Parameters

  [in] | page_index_array | The page index array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  true means success, while false means failure.

## ◆ selectNone()

void com.foxit.sdk.addon.pageeditor.JoinSplit.selectNone | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function to clear all selected text.

Returns
  None.

## ◆ splitBoxes()

void com.foxit.sdk.addon.pageeditor.JoinSplit.splitBoxes | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function to split text.

Returns
  None.

## ◆ unlinkBoxes()

void com.foxit.sdk.addon.pageeditor.JoinSplit.unlinkBoxes | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function to unlink text.

Returns
  None.